//
//  DrawingView.m
//  GraficBinding
//
//  Created by Holger Hinzberg on 30.05.10.
//  Copyright 2010 Cocoa Coding. All rights reserved.
//

#import "DrawingView.h"


@implementation DrawingView

@synthesize positionXpercent;
@synthesize positionYpercent;



-(void)setPositionYpercent:(int) f
{
	if (f != positionYpercent)
	{
		positionYpercent = f;
		[self setNeedsDisplay:YES];
	}
}

-(void)setPositionXpercent:(int) f
{
	if (f != positionXpercent)
	{
		positionXpercent = f;
		[self setNeedsDisplay:YES];
	}
}

- (id)initWithFrame:(NSRect)frame 
{
    self = [super initWithFrame:frame];
    if (self) 
	{
		self.positionXpercent = 50;
		self.positionYpercent = 50;		
    }
    return self;
}


- (void)drawRect:(NSRect)dirtyRect
{
	NSRect bounds = [self bounds];
    [[NSColor gridColor] set];
	[NSBezierPath fillRect:bounds];
	
	float posX = ( bounds.size.width - 20) / 100 * self.positionXpercent;
	float posY = ( bounds.size.height - 20) / 100 * self.positionYpercent;
		
	NSRect theRect = NSMakeRect(posX, posY, 20, 20);
    [[NSColor redColor] set];
    [NSBezierPath fillRect:theRect];
}

@end
